cascading.flow.hadoop

## Class ConfigurationSetter

- java.lang.Object
- - cascading.flow.hadoop.ConfigurationSetter

All Implemented Interfaces:
  ConfigDef.Setter

    public class ConfigurationSetter
    extends java.lang.Object
    implements ConfigDef.Setter

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationSetter(org.apache.hadoop.conf.Configuration conf)`

### Method Summary

Methods
`java.lang.String` `get(java.lang.String key)`
`java.lang.String` `set(java.lang.String key, java.lang.String value)`
`java.lang.String` `update(java.lang.String key, java.lang.String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationSetter

    public ConfigurationSetter(org.apache.hadoop.conf.Configuration conf)

### Method Detail

#### set

    public java.lang.String set(java.lang.String key,
                       java.lang.String value)

Specified by:
  `set` in interface `ConfigDef.Setter`

#### update

    public java.lang.String update(java.lang.String key,
                          java.lang.String value)

Specified by:
  `update` in interface `ConfigDef.Setter`

#### get

    public java.lang.String get(java.lang.String key)

Specified by:
  `get` in interface `ConfigDef.Setter`